package com.mortals.xhx.module.device.model;

import java.util.List;
import java.util.ArrayList;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.mortals.framework.annotation.Excel;
import com.mortals.framework.model.BaseEntityLong;
import com.mortals.xhx.module.device.model.vo.DeviceMatterDatumVo;
/**
* 设备事项申请材料业务实体对象
*
* @author zxfei
* @date 2023-02-25
*/

public class DeviceMatterDatumEntity extends DeviceMatterDatumVo {
    private static final long serialVersionUID = 1L;

    /**
    * 设备id
    */
    private Long deviceId;
    /**
    * 设备编码
    */
    private String deviceCode;
    /**
    * 设备名称
    */
    private String deviceName;
    /**
    * 产品id
    */
    private Long productId;
    /**
    * 产品编码
    */
    private String productCode;
    /**
    * 产品名称
    */
    private String productName;
    /**
    * 事项matter id
    */
    private Long matterId;
    /**
    * 站点ID
    */
    private Long siteId;
    /**
    * 部门ID
    */
    private Long deptId;
    /**
    * 部门编号
    */
    private String deptCode;
    /**
    * 部门名称
    */
    private String deptName;
    /**
    * 材料名
    */
    private String materialName;
    /**
    * 材料全名
    */
    private String materiaFullName;
    /**
    * 事项来源(0.政务网，1.自定义)
    */
    private Integer source;
    /**
    * 是否推荐(0.未推荐，1.推荐)
    */
    private Integer isRecommend;
    /**
    * 填单次数
    */
    private Integer total;
    /**
    * 排序
    */
    private Integer sort;
    /**
    * 样表名称
    */
    private String sampleName;
    /**
    * 样表地址
    */
    private String samplePath;
    /**
    * 样表预览地址
    */
    private String preViewPath;



    public DeviceMatterDatumEntity(){}
    /**
    * 获取 设备id
    * @return Long
    */
    public Long getDeviceId(){
        return deviceId;
    }
    /**
    * 设置 设备id
    * @param deviceId
    */
    public void setDeviceId(Long deviceId){
        this.deviceId = deviceId;
    }
    /**
    * 获取 设备编码
    * @return String
    */
    public String getDeviceCode(){
        return deviceCode;
    }
    /**
    * 设置 设备编码
    * @param deviceCode
    */
    public void setDeviceCode(String deviceCode){
        this.deviceCode = deviceCode;
    }
    /**
    * 获取 设备名称
    * @return String
    */
    public String getDeviceName(){
        return deviceName;
    }
    /**
    * 设置 设备名称
    * @param deviceName
    */
    public void setDeviceName(String deviceName){
        this.deviceName = deviceName;
    }
    /**
    * 获取 产品id
    * @return Long
    */
    public Long getProductId(){
        return productId;
    }
    /**
    * 设置 产品id
    * @param productId
    */
    public void setProductId(Long productId){
        this.productId = productId;
    }
    /**
    * 获取 产品编码
    * @return String
    */
    public String getProductCode(){
        return productCode;
    }
    /**
    * 设置 产品编码
    * @param productCode
    */
    public void setProductCode(String productCode){
        this.productCode = productCode;
    }
    /**
    * 获取 产品名称
    * @return String
    */
    public String getProductName(){
        return productName;
    }
    /**
    * 设置 产品名称
    * @param productName
    */
    public void setProductName(String productName){
        this.productName = productName;
    }
    /**
    * 获取 事项matter id
    * @return Long
    */
    public Long getMatterId(){
        return matterId;
    }
    /**
    * 设置 事项matter id
    * @param matterId
    */
    public void setMatterId(Long matterId){
        this.matterId = matterId;
    }
    /**
    * 获取 站点ID
    * @return Long
    */
    public Long getSiteId(){
        return siteId;
    }
    /**
    * 设置 站点ID
    * @param siteId
    */
    public void setSiteId(Long siteId){
        this.siteId = siteId;
    }
    /**
    * 获取 部门ID
    * @return Long
    */
    public Long getDeptId(){
        return deptId;
    }
    /**
    * 设置 部门ID
    * @param deptId
    */
    public void setDeptId(Long deptId){
        this.deptId = deptId;
    }
    /**
    * 获取 部门编号
    * @return String
    */
    public String getDeptCode(){
        return deptCode;
    }
    /**
    * 设置 部门编号
    * @param deptCode
    */
    public void setDeptCode(String deptCode){
        this.deptCode = deptCode;
    }
    /**
    * 获取 部门名称
    * @return String
    */
    public String getDeptName(){
        return deptName;
    }
    /**
    * 设置 部门名称
    * @param deptName
    */
    public void setDeptName(String deptName){
        this.deptName = deptName;
    }
    /**
    * 获取 材料名
    * @return String
    */
    public String getMaterialName(){
        return materialName;
    }
    /**
    * 设置 材料名
    * @param materialName
    */
    public void setMaterialName(String materialName){
        this.materialName = materialName;
    }
    /**
    * 获取 材料全名
    * @return String
    */
    public String getMateriaFullName(){
        return materiaFullName;
    }
    /**
    * 设置 材料全名
    * @param materiaFullName
    */
    public void setMateriaFullName(String materiaFullName){
        this.materiaFullName = materiaFullName;
    }
    /**
    * 获取 事项来源(0.政务网，1.自定义)
    * @return Integer
    */
    public Integer getSource(){
        return source;
    }
    /**
    * 设置 事项来源(0.政务网，1.自定义)
    * @param source
    */
    public void setSource(Integer source){
        this.source = source;
    }
    /**
    * 获取 是否推荐(0.未推荐，1.推荐)
    * @return Integer
    */
    public Integer getIsRecommend(){
        return isRecommend;
    }
    /**
    * 设置 是否推荐(0.未推荐，1.推荐)
    * @param isRecommend
    */
    public void setIsRecommend(Integer isRecommend){
        this.isRecommend = isRecommend;
    }
    /**
    * 获取 填单次数
    * @return Integer
    */
    public Integer getTotal(){
        return total;
    }
    /**
    * 设置 填单次数
    * @param total
    */
    public void setTotal(Integer total){
        this.total = total;
    }
    /**
    * 获取 排序
    * @return Integer
    */
    public Integer getSort(){
        return sort;
    }
    /**
    * 设置 排序
    * @param sort
    */
    public void setSort(Integer sort){
        this.sort = sort;
    }
    /**
    * 获取 样表名称
    * @return String
    */
    public String getSampleName(){
        return sampleName;
    }
    /**
    * 设置 样表名称
    * @param sampleName
    */
    public void setSampleName(String sampleName){
        this.sampleName = sampleName;
    }
    /**
    * 获取 样表地址
    * @return String
    */
    public String getSamplePath(){
        return samplePath;
    }
    /**
    * 设置 样表地址
    * @param samplePath
    */
    public void setSamplePath(String samplePath){
        this.samplePath = samplePath;
    }
    /**
    * 获取 样表预览地址
    * @return String
    */
    public String getPreViewPath(){
        return preViewPath;
    }
    /**
    * 设置 样表预览地址
    * @param preViewPath
    */
    public void setPreViewPath(String preViewPath){
        this.preViewPath = preViewPath;
    }




    @Override
    public int hashCode() {
         return this.getId().hashCode();
    }
    @Override
    public boolean equals(Object obj) {
        if (obj == null) return false;
        if (obj instanceof DeviceMatterDatumEntity) {
            DeviceMatterDatumEntity tmp = (DeviceMatterDatumEntity) obj;
            if (this.getId() == tmp.getId()) {
                 return true;
            }
        }
        return false;
    }

    public String toString(){
        StringBuilder sb = new StringBuilder("");
        sb.append(",deviceId:").append(getDeviceId());
        sb.append(",deviceCode:").append(getDeviceCode());
        sb.append(",deviceName:").append(getDeviceName());
        sb.append(",productId:").append(getProductId());
        sb.append(",productCode:").append(getProductCode());
        sb.append(",productName:").append(getProductName());
        sb.append(",matterId:").append(getMatterId());
        sb.append(",siteId:").append(getSiteId());
        sb.append(",deptId:").append(getDeptId());
        sb.append(",deptCode:").append(getDeptCode());
        sb.append(",deptName:").append(getDeptName());
        sb.append(",materialName:").append(getMaterialName());
        sb.append(",materiaFullName:").append(getMateriaFullName());
        sb.append(",source:").append(getSource());
        sb.append(",isRecommend:").append(getIsRecommend());
        sb.append(",total:").append(getTotal());
        sb.append(",sort:").append(getSort());
        sb.append(",sampleName:").append(getSampleName());
        sb.append(",samplePath:").append(getSamplePath());
        sb.append(",preViewPath:").append(getPreViewPath());
        return sb.toString();
    }

    public void initAttrValue(){

            this.deviceId = null;

            this.deviceCode = null;

            this.deviceName = null;

            this.productId = null;

            this.productCode = null;

            this.productName = null;

            this.matterId = null;

            this.siteId = null;

            this.deptId = null;

            this.deptCode = null;

            this.deptName = null;

            this.materialName = null;

            this.materiaFullName = null;

            this.source = null;

            this.isRecommend = null;

            this.total = null;

            this.sort = null;

            this.sampleName = null;

            this.samplePath = null;

            this.preViewPath = null;
    }
}